PETSc version 3.15.5
Fix/Edit manual page

# DMStagSetOwnershipRanges

set elements per rank in each direction

### Synopsis

    PetscErrorCode DMStagSetOwnershipRanges(DM dm,PetscInt const *lx,PetscInt const *ly,PetscInt const *lz)

Logically Collective; lx, ly, and lz must contain common values

### Input Parameters

| dm | - the DMStag object
| lx,ly,lz | - element counts for each rank in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagSetGlobalSizes(), DMStagGetOwnershipRanges(), DMDASetOwnershipRanges()

### Level

developer

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages